ModuleConstants (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.module.ModuleConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.module
Interface ModuleConstants

All Superinterfaces:
  ArgumentConstants, BasicConstants

All Known Subinterfaces:
  ParagraphConstants, RuleConstants

public interface ModuleConstants
extends BasicConstants

This interface provides constants of this package.

Version:
  $Revision: 1.14 $
Author:
  Michael Meyling

Field Summary
`static String` | `ABBREVIATION_EXPECTED_IN_ARGUMENT`
`static String` | `ALL_BOUND_OR_BOUND_FREE_NOT_EMPTY_INTERSECTION`
`static String` | `AXIOM_EXPECTED_IN_ARGUMENT`
`static String` | `CONVENTION`
`static String` | `COULD_NOT_BE_ADDED`
`static String` | `DIFFERENT_PATTERN_VARIABLES`
`static String` | `FILE_EXISTS_ALREADY`
`static String` | `FREE_BOUND_NOT_EMPTY_INTERSECTION`
`static String` | `INCORRECT_LINE`
`static String` | `LABEL_ALREADY_EXISTS`
`static String` | `LABEL_ALREADY_EXISTS_IN`
`static String` | `LAST_LINE_NOT_EQUAL_WITH_EXPECTED`
`static String` | `MALFORMED_MODULE_ADDRESS`
`static String` | `MODULE_EXPECTED`
`static String` | `MODULE_IMPORT_FAILED`
`static String` | `MODULE_NOT_FOUND`
`static String` | `MODULE_SPECIFICATION_DIFFERS_FROM_NAME`
`static String` | `MUST_BE_DIGIT_PERIOD_STRING`
`static String` | `MUST_BE_LETTER_DIGIT_PERIOD_STRING`
`static String` | `MUST_BE_LETTER_DIGIT_STRING`
`static String` | `MUST_END_WITH_DIGIT`
`static String` | `MUST_NOT_END_WITH_PERIOD`
`static String` | `MUST_START_WITH_DIGIT`
`static String` | `MUST_START_WITH_LETTER`
`static String` | `NO_DIRECT_PERIODS`
`static String` | `NO_EMPTY_STRING`
`static String` | `NO_FOLLOWING_TEXT_ALLOWED`
`static String` | `NO_MODULE_ADDRESS`
`static String` | `NO_PATTERN_VARIABLE_IN_AXIOM`
`static String` | `NO_PATTERN_VARIABLE_IN_PROPOSITION`
`static String` | `NO_PERIODS_WITHOUT_DIGIT`
`static String` | `NO_URL`
`static String` | `ONLY_LOWER_CASE_CHARS`
`static String` | `OPERATOR_WITH_ONE_TO_TWO_ARGUMENTS`
`static String` | `OPERATOR_WITH_TWO_TO_FOUR_ARGUMENTS`
`static String` | `OPERATOR_WITH_TWO_TO_THREE_ARGUMENTS`
`static String` | `PART_MUST_START_WITH_LETTER`
`static String` | `PATTERN_VARIABLES_MUST_STAND_FOR_SUBJECT_VARIABLES`
`static String` | `POSITIVE_INTEGER_EXPECTED_IN_ARGUMENT`
`static String` | `PRECONDITIONS_NOT_FULLFILLED`
`static String` | `PROOF_LINES_OUT_OF_RANGE`
`static String` | `REFERENCED_ABBREVIATION_DOES_NOT_EXIST`
`static String` | `REFERENCED_AXIOM_DOES_NOT_EXIST`
`static String` | `REFERENCED_FORMULA_DOES_NOT_EXIST`
`static String` | `REFERENCED_RULE_DOES_NOT_EXIST`
`static String` | `REFERENCED_RULE_IS_NOT_DECLARED`
`static String` | `REFERENCED_SENTENCE_DOES_NOT_EXIST`
`static String` | `RESULT_NOT_EQUAL_WITH_EXPECTED`
`static String` | `RULE`
`static String` | `RULE_ALREADY_DECLARED`
`static String` | `SAME_PATTERN_VARIABLES`
`static String` | `SENTENCE_EXPECTED_IN_ARGUMENT`
`static int` | `STATE_CODE_CHECKING`
`static int` | `STATE_CODE_LOADED_AND_VERIFIED`
`static int` | `STATE_CODE_LOADING_FROM_BUFFER`
`static int` | `STATE_CODE_LOADING_FROM_BUFFER_FAILED`
`static int` | `STATE_CODE_LOADING_FROM_WEB`
`static int` | `STATE_CODE_LOADING_FROM_WEB_FAILED`
`static int` | `STATE_CODE_LOADING_INTO_MEMORY`
`static int` | `STATE_CODE_LOADING_INTO_MEMORY_FAILED`
`static int` | `STATE_CODE_UNDEFINED`
`static String` | `STATE_STRING_CHECKING`
`static String` | `STATE_STRING_LOADED_AND_VERIFIED`
`static String` | `STATE_STRING_LOADING_FROM_BUFFER`
`static String` | `STATE_STRING_LOADING_FROM_BUFFER_FAILED`
`static String` | `STATE_STRING_LOADING_FROM_WEB`
`static String` | `STATE_STRING_LOADING_FROM_WEB_FAILED`
`static String` | `STATE_STRING_LOADING_INTO_MEMORY`
`static String` | `STATE_STRING_LOADING_INTO_MEMORY_FAILED`
`static String` | `STATE_STRING_UNDEFINED`
`static String` | `SUBJECT_VARIABLE_EXPECTED_IN_SECOND_ARGUMENT`
`static String` | `THIS_NO_RULE`
`static String` | `URL_WITH_EMPTY_FILE`
`static String` | `VARIABLE_ALREADY_BOUND`
`static String` | `VARIABLE_ALREADY_FREE`
`static String` | `VARIABLE_NOT_BOUND`
`static String` | `VARIABLE_NOT_FREE`

Fields inherited from interface com.meyling.principia.logic.basic.BasicConstants
`ALREADY_CONTAINS_PATTERN_VARIABLE, ARGUMENT_LIST, FORMULA, MIXED_FREE_BOUND, NO_FORMULA_NUMBER, QUALIFIED_MUST_BE_FREE, SUBJECT_VARIABLE, WRONG_FORMULA_NUMBER`

Fields inherited from interface com.meyling.principia.argument.ArgumentConstants
`ALREADY_ASSIGNED, ARGUMENT_EXPECTED, AT_LEAST_ONE_ARGUMENT_EXPECTED, CODE_CONSTRUCTOR_ARGUMENT_CHECK_FAILED, CODE_CONSTRUCTOR_WRONG_ARGUMENT_NUMBER, CODE_CONSTRUCTOR_WRONG_ARGUMENT_TYPE, CODE_METHOD_ARGUMENT_CHECK_FAILED, CODE_PARSER_ARGUMENT_EXPECTED, CODE_PARSER_NO_ARGUMENT_SEPARATOR, CODE_PARSER_NO_BEGIN_ARGUMENT_LIST, CODE_PARSER_NO_END_ARGUMENT_LIST, CODE_PARSER_NO_FURTHER_ARGUMENTS_EXPECTED, CODE_PARSER_UNEXPECTED_ARGUMENT, CODE_PARSER_UNKNOWN_ARGUMENT_CHAR, CODE_PARSER_UNKNOWN_OPERATOR, CODE_PARSER_WRONG_ATOM_FORMAT, COULD_NOT_BE_EMPTY, COULD_NOT_CREATE, COUNTER, COUNTER_OR_PATTERN, EXPECTED_IN_ARGUMENT, FIFTH_ARGUMENT, FIFTH_ARGUMENT_TYPE, FIRST_ARGUMENT, FIRST_ARGUMENT_TYPE, FOURTH_ARGUMENT, FOURTH_ARGUMENT_TYPE, MUST_BE_GREATER_THAN_NULL, MUST_HAVE_COUNTER, MUST_NOT_CONTAIN_PATTERN_VARIABLE, NO_ARGUMENT_NUMBER, NO_ARGUMENT_SEPARATOR, NO_BEGIN_ARGUMENT_LIST, NO_END_ARGUMENT_LIST, NO_LETTER_DIGIT_STRING_FOUND, NO_NEGATIVE_INTEGER, NO_POSITIVE_INTEGER_FOUND, NO_QUOTE_TERMINATION, NO_QUOTED_STRING, NO_RECURSIVE_MATCH, NOT_ASSIGNED, NULLPOINTER_PARAMETER, NUMBER, OPERATOR_WITH_AT_LEAST_TWO_ARGUMENTS, OPERATOR_WITH_FIVE_ARGUMENTS, OPERATOR_WITH_FOUR_ARGUMENTS, OPERATOR_WITH_NO_ARGUMENTS, OPERATOR_WITH_ONE_ARGUMENT, OPERATOR_WITH_THREE_ARGUMENTS, OPERATOR_WITH_TWO_ARGUMENTS, PATTERN_VARIABLE, PATTERN_VARIABLE_NOT_FOUND, POSITIVE_INTEGER_EXPECTED, QUOTED_STRING, SECOND_ARGUMENT, SECOND_ARGUMENT_TYPE, THIRD_ARGUMENT, THIRD_ARGUMENT_TYPE, UNKNOWN_ARGUMENT_CHAR, UNKNOWN_ARGUMENT_CLASS, UNKNOWN_CLASS, UNKNOWN_OPERATOR, WRONG_ARGUMENT_NUMBER`

Field Detail

### RULE

    public static final String RULE

See Also:
  Constant Field Values

### NO_PATTERN_VARIABLE_IN_AXIOM

    public static final String NO_PATTERN_VARIABLE_IN_AXIOM

See Also:
  Constant Field Values

### NO_PATTERN_VARIABLE_IN_PROPOSITION

    public static final String NO_PATTERN_VARIABLE_IN_PROPOSITION

See Also:
  Constant Field Values

### AXIOM_EXPECTED_IN_ARGUMENT

    public static final String AXIOM_EXPECTED_IN_ARGUMENT

See Also:
  Constant Field Values

### SENTENCE_EXPECTED_IN_ARGUMENT

    public static final String SENTENCE_EXPECTED_IN_ARGUMENT

See Also:
  Constant Field Values

### DIFFERENT_PATTERN_VARIABLES

    public static final String DIFFERENT_PATTERN_VARIABLES

See Also:
  Constant Field Values

### SAME_PATTERN_VARIABLES

    public static final String SAME_PATTERN_VARIABLES

See Also:
  Constant Field Values

### ABBREVIATION_EXPECTED_IN_ARGUMENT

    public static final String ABBREVIATION_EXPECTED_IN_ARGUMENT

See Also:
  Constant Field Values

### POSITIVE_INTEGER_EXPECTED_IN_ARGUMENT

    public static final String POSITIVE_INTEGER_EXPECTED_IN_ARGUMENT

See Also:
  Constant Field Values

### SUBJECT_VARIABLE_EXPECTED_IN_SECOND_ARGUMENT

    public static final String SUBJECT_VARIABLE_EXPECTED_IN_SECOND_ARGUMENT

See Also:
  Constant Field Values

### INCORRECT_LINE

    public static final String INCORRECT_LINE

See Also:
  Constant Field Values

### LAST_LINE_NOT_EQUAL_WITH_EXPECTED

    public static final String LAST_LINE_NOT_EQUAL_WITH_EXPECTED

See Also:
  Constant Field Values

### RESULT_NOT_EQUAL_WITH_EXPECTED

    public static final String RESULT_NOT_EQUAL_WITH_EXPECTED

See Also:
  Constant Field Values

### PRECONDITIONS_NOT_FULLFILLED

    public static final String PRECONDITIONS_NOT_FULLFILLED

See Also:
  Constant Field Values

### ALL_BOUND_OR_BOUND_FREE_NOT_EMPTY_INTERSECTION

    public static final String ALL_BOUND_OR_BOUND_FREE_NOT_EMPTY_INTERSECTION

See Also:
  Constant Field Values

### FREE_BOUND_NOT_EMPTY_INTERSECTION

    public static final String FREE_BOUND_NOT_EMPTY_INTERSECTION

See Also:
  Constant Field Values

### PROOF_LINES_OUT_OF_RANGE

    public static final String PROOF_LINES_OUT_OF_RANGE

See Also:
  Constant Field Values

### VARIABLE_NOT_BOUND

    public static final String VARIABLE_NOT_BOUND

See Also:
  Constant Field Values

### VARIABLE_ALREADY_FREE

    public static final String VARIABLE_ALREADY_FREE

See Also:
  Constant Field Values

### VARIABLE_NOT_FREE

    public static final String VARIABLE_NOT_FREE

See Also:
  Constant Field Values

### VARIABLE_ALREADY_BOUND

    public static final String VARIABLE_ALREADY_BOUND

See Also:
  Constant Field Values

### PATTERN_VARIABLES_MUST_STAND_FOR_SUBJECT_VARIABLES

    public static final String PATTERN_VARIABLES_MUST_STAND_FOR_SUBJECT_VARIABLES

See Also:
  Constant Field Values

### NO_EMPTY_STRING

    public static final String NO_EMPTY_STRING

See Also:
  Constant Field Values

### ONLY_LOWER_CASE_CHARS

    public static final String ONLY_LOWER_CASE_CHARS

See Also:
  Constant Field Values

### MUST_START_WITH_LETTER

    public static final String MUST_START_WITH_LETTER

See Also:
  Constant Field Values

### PART_MUST_START_WITH_LETTER

    public static final String PART_MUST_START_WITH_LETTER

See Also:
  Constant Field Values

### MUST_START_WITH_DIGIT

    public static final String MUST_START_WITH_DIGIT

See Also:
  Constant Field Values

### MUST_END_WITH_DIGIT

    public static final String MUST_END_WITH_DIGIT

See Also:
  Constant Field Values

### MUST_NOT_END_WITH_PERIOD

    public static final String MUST_NOT_END_WITH_PERIOD

See Also:
  Constant Field Values

### MUST_BE_LETTER_DIGIT_STRING

    public static final String MUST_BE_LETTER_DIGIT_STRING

See Also:
  Constant Field Values

### MUST_BE_LETTER_DIGIT_PERIOD_STRING

    public static final String MUST_BE_LETTER_DIGIT_PERIOD_STRING

See Also:
  Constant Field Values

### NO_PERIODS_WITHOUT_DIGIT

    public static final String NO_PERIODS_WITHOUT_DIGIT

See Also:
  Constant Field Values

### NO_DIRECT_PERIODS

    public static final String NO_DIRECT_PERIODS

See Also:
  Constant Field Values

### MUST_BE_DIGIT_PERIOD_STRING

    public static final String MUST_BE_DIGIT_PERIOD_STRING

See Also:
  Constant Field Values

### REFERENCED_ABBREVIATION_DOES_NOT_EXIST

    public static final String REFERENCED_ABBREVIATION_DOES_NOT_EXIST

See Also:
  Constant Field Values

### REFERENCED_AXIOM_DOES_NOT_EXIST

    public static final String REFERENCED_AXIOM_DOES_NOT_EXIST

See Also:
  Constant Field Values

### REFERENCED_SENTENCE_DOES_NOT_EXIST

    public static final String REFERENCED_SENTENCE_DOES_NOT_EXIST

See Also:
  Constant Field Values

### REFERENCED_FORMULA_DOES_NOT_EXIST

    public static final String REFERENCED_FORMULA_DOES_NOT_EXIST

See Also:
  Constant Field Values

### REFERENCED_RULE_IS_NOT_DECLARED

    public static final String REFERENCED_RULE_IS_NOT_DECLARED

See Also:
  Constant Field Values

### REFERENCED_RULE_DOES_NOT_EXIST

    public static final String REFERENCED_RULE_DOES_NOT_EXIST

See Also:
  Constant Field Values

### RULE_ALREADY_DECLARED

    public static final String RULE_ALREADY_DECLARED

See Also:
  Constant Field Values

### OPERATOR_WITH_TWO_TO_FOUR_ARGUMENTS

    public static final String OPERATOR_WITH_TWO_TO_FOUR_ARGUMENTS

See Also:
  Constant Field Values

### OPERATOR_WITH_ONE_TO_TWO_ARGUMENTS

    public static final String OPERATOR_WITH_ONE_TO_TWO_ARGUMENTS

See Also:
  Constant Field Values

### OPERATOR_WITH_TWO_TO_THREE_ARGUMENTS

    public static final String OPERATOR_WITH_TWO_TO_THREE_ARGUMENTS

See Also:
  Constant Field Values

### COULD_NOT_BE_ADDED

    public static final String COULD_NOT_BE_ADDED

See Also:
  Constant Field Values

### LABEL_ALREADY_EXISTS_IN

    public static final String LABEL_ALREADY_EXISTS_IN

See Also:
  Constant Field Values

### LABEL_ALREADY_EXISTS

    public static final String LABEL_ALREADY_EXISTS

See Also:
  Constant Field Values

### CONVENTION

    public static final String CONVENTION

See Also:
  Constant Field Values

### MODULE_EXPECTED

    public static final String MODULE_EXPECTED

See Also:
  Constant Field Values

### MODULE_NOT_FOUND

    public static final String MODULE_NOT_FOUND

See Also:
  Constant Field Values

### MODULE_IMPORT_FAILED

    public static final String MODULE_IMPORT_FAILED

See Also:
  Constant Field Values

### NO_URL

    public static final String NO_URL

See Also:
  Constant Field Values

### MODULE_SPECIFICATION_DIFFERS_FROM_NAME

    public static final String MODULE_SPECIFICATION_DIFFERS_FROM_NAME

See Also:
  Constant Field Values

### URL_WITH_EMPTY_FILE

    public static final String URL_WITH_EMPTY_FILE

See Also:
  Constant Field Values

### NO_MODULE_ADDRESS

    public static final String NO_MODULE_ADDRESS

See Also:
  Constant Field Values

### THIS_NO_RULE

    public static final String THIS_NO_RULE

See Also:
  Constant Field Values

### NO_FOLLOWING_TEXT_ALLOWED

    public static final String NO_FOLLOWING_TEXT_ALLOWED

See Also:
  Constant Field Values

### FILE_EXISTS_ALREADY

    public static final String FILE_EXISTS_ALREADY

See Also:
  Constant Field Values

### MALFORMED_MODULE_ADDRESS

    public static final String MALFORMED_MODULE_ADDRESS

See Also:
  Constant Field Values

### STATE_CODE_UNDEFINED

    public static final int STATE_CODE_UNDEFINED

See Also:
  Constant Field Values

### STATE_STRING_UNDEFINED

    public static final String STATE_STRING_UNDEFINED

See Also:
  Constant Field Values

### STATE_CODE_LOADING_FROM_WEB

    public static final int STATE_CODE_LOADING_FROM_WEB

See Also:
  Constant Field Values

### STATE_STRING_LOADING_FROM_WEB

    public static final String STATE_STRING_LOADING_FROM_WEB

See Also:
  Constant Field Values

### STATE_CODE_LOADING_FROM_WEB_FAILED

    public static final int STATE_CODE_LOADING_FROM_WEB_FAILED

See Also:
  Constant Field Values

### STATE_STRING_LOADING_FROM_WEB_FAILED

    public static final String STATE_STRING_LOADING_FROM_WEB_FAILED

See Also:
  Constant Field Values

### STATE_CODE_LOADING_FROM_BUFFER

    public static final int STATE_CODE_LOADING_FROM_BUFFER

See Also:
  Constant Field Values

### STATE_STRING_LOADING_FROM_BUFFER

    public static final String STATE_STRING_LOADING_FROM_BUFFER

See Also:
  Constant Field Values

### STATE_CODE_LOADING_FROM_BUFFER_FAILED

    public static final int STATE_CODE_LOADING_FROM_BUFFER_FAILED

See Also:
  Constant Field Values

### STATE_STRING_LOADING_FROM_BUFFER_FAILED

    public static final String STATE_STRING_LOADING_FROM_BUFFER_FAILED

See Also:
  Constant Field Values

### STATE_CODE_LOADING_INTO_MEMORY

    public static final int STATE_CODE_LOADING_INTO_MEMORY

See Also:
  Constant Field Values

### STATE_STRING_LOADING_INTO_MEMORY

    public static final String STATE_STRING_LOADING_INTO_MEMORY

See Also:
  Constant Field Values

### STATE_CODE_CHECKING

    public static final int STATE_CODE_CHECKING

See Also:
  Constant Field Values

### STATE_STRING_CHECKING

    public static final String STATE_STRING_CHECKING

See Also:
  Constant Field Values

### STATE_CODE_LOADING_INTO_MEMORY_FAILED

    public static final int STATE_CODE_LOADING_INTO_MEMORY_FAILED

See Also:
  Constant Field Values

### STATE_STRING_LOADING_INTO_MEMORY_FAILED

    public static final String STATE_STRING_LOADING_INTO_MEMORY_FAILED

See Also:
  Constant Field Values

### STATE_CODE_LOADED_AND_VERIFIED

    public static final int STATE_CODE_LOADED_AND_VERIFIED

See Also:
  Constant Field Values

### STATE_STRING_LOADED_AND_VERIFIED

    public static final String STATE_STRING_LOADED_AND_VERIFIED

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.